Skip to content
Back to top
View this page

# XEP-0049: Private XML Storage

XEP-0049 on xmpp.org

class slixmpp.plugins.xep_0049.XEP_0049(xmpp, config=None)
  retrieve(name, ifrom=None, **iqkwargs)

    Get previously stored data from Private XML Storage.

    Parameters:

      name (`str`) – Name of the payload to retrieve (slixmpp plugin attribute)

    Return type:

      `Future`

  store(data, ifrom=None, **iqkwargs)

    Store data in Private XML Storage.

    Parameters:

      data (`list`[`ElementBase`] | `ElementBase`) – An XML element or list of xml element to store.

    Return type:

      `Future`

## Stanza elements

class slixmpp.plugins.xep_0049.stanza.PrivateXML(xml=None, parent=None)
  interfaces: ClassVar[set[str]] = {}

    The set of keys that the stanza provides for accessing and manipulating the underlying XML object. This set may be augmented with the `plugin_attrib` value of any registered stanza plugins.

  name: ClassVar[str] = 'query'

    The XML tag name of the element, not including any namespace prefixes. For example, an `ElementBase` object for `<message />` would use `name = 'message'`.

  namespace: str = 'jabber:iq:private'

    The XML namespace for the element. Given `<foo xmlns="bar" />`, then `namespace = "bar"` should be used. The default namespace is `jabber:client` since this is being used in an XMPP library.

  plugin_attrib: ClassVar[str] = 'private'

    For `ElementBase` subclasses which are intended to be used as plugins, the `plugin_attrib` value defines the plugin name. Plugins may be accessed by using the `plugin_attrib` value as the interface. An example using `plugin_attrib = 'foo'`:

        register_stanza_plugin(Message, FooPlugin)
        msg = Message()
        msg['foo']['an_interface_from_the_foo_plugin']